Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class ParameterTypes

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes

    public class ParameterTypes
    extends java.lang.Object

Field Summary
`protected boolean` | `isVargsMethod`
`protected java.lang.Class[]` | `nativeParamTypes`
`protected CachedClass[]` | `parameterTypes`

Constructor Summary
`ParameterTypes()`
`ParameterTypes(java.lang.Class[] pt)`
`ParameterTypes(java.lang.String[] pt)`
`ParameterTypes(CachedClass[] parameterTypes)`

Method Summary
`java.lang.Object[]` | `coerceArgumentsToClasses(java.lang.Object[] argumentArray)`
`java.lang.Object[]` | `correctArguments(java.lang.Object[] argumentArray)`
`java.lang.Class[]` | `getNativeParameterTypes()`
`protected java.lang.Class[]` | `getPT()`
`CachedClass[]` | `getParameterTypes()`
`boolean` | `isValidExactMethod(java.lang.Object[] args)`
`boolean` | `isValidExactMethod(java.lang.Class[] args)`
`boolean` | `isValidMethod(java.lang.Class[] arguments)`
`boolean` | `isValidMethod(java.lang.Object[] arguments)`
`boolean` | `isVargsMethod()`
`boolean` | `isVargsMethod(java.lang.Object[] arguments)`
`protected void` | `setParametersTypes(CachedClass[] pt)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### isVargsMethod

    protected boolean isVargsMethod

### nativeParamTypes

    protected java.lang.Class[] nativeParamTypes

### parameterTypes

    protected CachedClass[] parameterTypes

Constructor Detail

### ParameterTypes

    public ParameterTypes()

### ParameterTypes

    public ParameterTypes(java.lang.Class[] pt)

### ParameterTypes

    public ParameterTypes(java.lang.String[] pt)

### ParameterTypes

    public ParameterTypes(CachedClass[] parameterTypes)

Method Detail

### coerceArgumentsToClasses

    public final java.lang.Object[] coerceArgumentsToClasses(java.lang.Object[] argumentArray)

### correctArguments

    public java.lang.Object[] correctArguments(java.lang.Object[] argumentArray)

### getNativeParameterTypes

    public java.lang.Class[] getNativeParameterTypes()

### getPT

    protected java.lang.Class[] getPT()

### getParameterTypes

    public CachedClass[] getParameterTypes()

### isValidExactMethod

    public boolean isValidExactMethod(java.lang.Object[] args)

### isValidExactMethod

    public boolean isValidExactMethod(java.lang.Class[] args)

### isValidMethod

    public boolean isValidMethod(java.lang.Class[] arguments)

### isValidMethod

    public boolean isValidMethod(java.lang.Object[] arguments)

### isVargsMethod

    public boolean isVargsMethod()

### isVargsMethod

    public boolean isVargsMethod(java.lang.Object[] arguments)

### setParametersTypes

    protected final void setParametersTypes(CachedClass[] pt)

Groovy Documentation